#include <bits/stdc++.h>
using namespace std;
long long n,m,a[100005],x[100005],y[100005];
long long sreca[100005],rez;
void resi1(){
    for(int i=1;i<=m;i++){
        sreca[x[i]]+=a[x[i]];
        sreca[y[i]]+=a[y[i]];
    }
    for(int i=1;i<=n;i++){
        rez+=sreca[i];
    }
    cout<<rez<<endl;
}
int main(){
    cin>>n>>m;
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    for(int i=1;i<=m;i++){
        cin>>x[i]>>y[i];
    }

    resi1();



return 0;}